<%
' -----------------------------------------------------
' Sample ASP Script to show how to dynamically generate
' the configuration information for the Line Graph
' function
'
' Although in this sample all the values are hard coded
' in reality some values would be first calculated
' before being output.
'
' For more extensive scripts and techniques see the online
' Tutorials at:-
' http://www.jpowered.com/graph_chart_collection/tutorials/index.htm
'
' -----------------------------------------------------

' declare some variables
DIM BackgroundColor,inkcursor,thousandseparator,nSeries,ndecplaces
DIM grid,axis,nRows,vSpace,hSpace,nPoints,gridxpos,gridypos,gridstyle,gridColor,axisColor,floorColor,gridbgimage,gridbgcolor
DIM autoscale,chartScale,chartStartY
DIM threed,outline,lineOutlineColor,depth3D
DIM legend,LegendBackground,LegendBorder,LegendtextColor,legendtitle,legendposition,legendfont,LegendStyle
DIM labelOrientation,labelsY,xlabel_font,labelColor
DIM label1,label2,label3,label4,label5,label6,label7,label8,label9,label10,label11,label12
DIM ylabels,ylabel_font,ylabel_pre,ylabel_post,title,xtitle,ytitle
DIM popupbgcolor,popupfont,popup_pre,popup_post
DIM series1,series2,series3


' set the values for each parameter
BackgroundColor = "#FFFFFF"
linkcursor = "hand"
housandseparator = ","
nSeries = "3"
ndecplaces = "2"

grid = "true"
axis = "true"
nRows = "8"
vSpace = "20"
hSpace = "20"
nPoints = "12"
gridxpos = "30"
gridypos = "270"
gridstyle = "2"
gridColor = "#AAAAAA"
axisColor = "#888888"
floorColor = "#EEEEFF"
gridbgimage = " "
gridbgcolor = "#FFFF88"

autoscale = "true"
chartScale = "1"
chartStartY = "0"

threed = "false"
outline = "false"
lineOutlineColor = "blue"
depth3D = "0"

legend = "true"
LegendBackground = "#9999FF"
LegendBorder = "#5555AA"
LegendtextColor = "#FFFFFF"
legendtitle = "Legend Title"
legendposition = "-1,-1"
legendfont = "Arial,N,12"
LegendStyle = "Horizontal"

labelOrientation = "Up Angle"
labelsY = "300"
xlabel_font = "Arial,N,12"
labelColor = "#000000"
label1 = "January"
label2 = "February"
label3 = "March"
label4 = "April"
label5 = "May"
label6 = "June"
label7 = "July"
label8 = "August"
label9 = "September"
label10 = "October"
label11 = "November"
label12 = "December"

ylabels = "true"
ylabel_font = "Arial,N,12"
ylabel_pre = "$"
ylabel_post = " "

title = "Graph Title"
xtitle = "X axis title"
ytitle = "Y axis title"

popupbgcolor = "#AAAAFF"
popupfont = "Arial,N,12"
popup_pre = "$"
popup_post = " "

series1 = "#F00000|6|16|false|Series 1"
series2 = "#F000F0|6|16|true|Series 2"
series3 = "#00F000|0|10|false|Series 3"


' Output the configuration parameters
response.write("<!-- General Properties -->" & chr(13))
response.write("BackgroundColor: " & BackgroundColor & chr(13))
response.write("linkcursor: " & linkcursor & chr(13))
response.write("thousandseparator: " & thousandseparator & chr(13))
response.write("nSeries: " & nSeries & chr(13))
response.write("ndecplaces: " & ndecplaces & chr(13))

response.write("<!-- Grid properties -->"  & chr(13))
response.write("grid: " & grid & chr(13))
response.write("axis: " & axis & chr(13))
response.write("nRows: " & nRows & chr(13))
response.write("vSpace: " & vSpace & chr(13))
response.write("hSpace: " & hSpace & chr(13))
response.write("nPoints: " & nPoints & chr(13))
response.write("gridxpos: " & gridxpos & chr(13))
response.write("gridypos: " & gridypos & chr(13))
response.write("gridstyle: " & gridstyle & chr(13))
response.write("gridColor: " & gridColor & chr(13))
response.write("axisColor: " & axisColor & chr(13))
response.write("floorColor: " & floorColor & chr(13))
response.write("gridbgimage: " & gridbgimage & chr(13))
response.write("gridbgcolor: " & gridbgcolor & chr(13))

response.write("<!-- Scale properties -->" & chr(13))
response.write("autoscale: " & autoscale & chr(13))
response.write("chartScale: " & chartScale & chr(13))
response.write("chartStartY: " & chartStartY & chr(13))

response.write("<!-- 3D properties -->" & chr(13))
response.write("3D: " & threed & chr(13))
response.write("outline: " & outline & chr(13))
response.write("lineOutlineColor: " & lineOutlineColor & chr(13))
response.write("depth3D: " & depth3D & chr(13))

response.write("<!-- Legend properties -->" & chr(13))
response.write("legend: " & legend & chr(13))
response.write("LegendBackground: " & LegendBackground & chr(13))
response.write("LegendBorder:  " & LegendBorder & chr(13))
response.write("LegendtextColor: " & LegendtextColor & chr(13))
response.write("legendtitle:  " & legendtitle & chr(13))
response.write("legendposition:  " & legendposition & chr(13))
response.write("legendfont:  " & legendfont & chr(13))
response.write("LegendStyle: " & LegendStyle & chr(13))

response.write("<!-- X axis labels -->" & chr(13))
response.write("labelOrientation: " & labelOrientation & chr(13))
response.write("labelsY: " & labelsY & chr(13))
response.write("xlabel_font: " & xlabel_font & chr(13))
response.write("labelColor: " & labelColor & chr(13))
response.write("label1: " & label1 & chr(13))
response.write("label2: " & label2 & chr(13))
response.write("label3: " & label3 & chr(13))
response.write("label4: " & label4 & chr(13))
response.write("label5: " & label5 & chr(13))
response.write("label6: " & label6 & chr(13))
response.write("label7: " & label7 & chr(13))
response.write("label8: " & label8 & chr(13))
response.write("label9: " & label9 & chr(13))
response.write("label10: " & label10 & chr(13))
response.write("label11: " & label11 & chr(13))
response.write("label12: " & label12 & chr(13))

response.write("<!-- Y axis labels -->" & chr(13))
response.write("ylabels: " & ylabels & chr(13))
response.write("ylabel_font: " & ylabel_font & chr(13))
response.write("ylabel_pre: " & ylabel_pre & chr(13))
response.write("ylabel_post: " & ylabel_post & chr(13))

response.write("<!-- Chart Titles -->" & chr(13))
response.write("title: " & title & chr(13))
response.write("xtitle: " & xtitle & chr(13))
response.write("ytitle: " & ytitle & chr(13))

response.write("<!-- PopUp Display -->" & chr(13))
response.write("popupbgcolor: " & popupbgcolor & chr(13))
response.write("popupfont: " & popupfont & chr(13))
response.write("popup_pre: " & popup_pre & chr(13))
response.write("popup_post: " & popup_post & chr(13))

response.write("<!-- Series Data -->" & chr(13))
response.write("series1: " & series1 & chr(13))
response.write("series2: " & series2 & chr(13))
response.write("series3: " & series3 & chr(13))

%>
